## bitstream-dmo 1.6

=== Makefile ===
PREFIX ?= /usr/local
INCLUDEDIR = $(PREFIX)/include
LIBDIR = $(PREFIX)/lib
DATADIR = $(PREFIX)/share
INCLUDE = $(DESTDIR)$(INCLUDEDIR)/bitstream
PKGCONFIG = $(DESTDIR)$(DATADIR)/pkgconfig
VERSION = 1.6

all:
	ln -nsf .. examples/bitstream
	$(MAKE) -C examples

bitstream.pc: bitstream.pc.in Makefile
	@echo "GEN      $@"
	@sed -e 's|@PREFIX@|$(PREFIX)|' \
	     -e 's|@INCLUDEDIR@|$(INCLUDEDIR)|' \
	     -e 's|@VERSION@|$(VERSION)|' \
	     $< > $@

install: bitstream.pc
	@echo "INSTALL  $(INCLUDE)"
	@install -d $(INCLUDE)
	@install -m 644 common.h $(INCLUDE)/
	@install -d $(INCLUDE)/atsc
	@install -m 644 atsc/*.h $(INCLUDE)/atsc
	@install -d $(INCLUDE)/atsc/si
	@install -m 644 atsc/si/*.h $(INCLUDE)/atsc/si
	@install -d $(INCLUDE)/dvb
	@install -m 644 dvb/*.h $(INCLUDE)/dvb
	@install -d $(INCLUDE)/dvb/si
	@install -m 644 dvb/si/*.h $(INCLUDE)/dvb/si
	@install -d $(INCLUDE)/ebu
	@install -m 644 ebu/*.h $(INCLUDE)/ebu
	@install -d $(INCLUDE)/ietf
	@install -m 644 ietf/* $(INCLUDE)/ietf
	@install -d $(INCLUDE)/ieee
	@install -m 644 ieee/* $(INCLUDE)/ieee
	@install -d $(INCLUDE)/itu
	@install -m 644 itu/* $(INCLUDE)/itu
	@install -d $(INCLUDE)/mpeg
	@install -m 644 mpeg/*.h $(INCLUDE)/mpeg
	@install -d $(INCLUDE)/mpeg/psi
	@install -m 644 mpeg/psi/*.h $(INCLUDE)/mpeg/psi
	@install -d $(INCLUDE)/scte
	@install -m 644 scte/*.h $(INCLUDE)/scte
	@install -d $(INCLUDE)/smpte
	@install -m 644 smpte/*.h $(INCLUDE)/smpte
	@install -d $(INCLUDE)/id3
	@install -m 644 id3/*.h $(INCLUDE)/id3
	@install -d $(INCLUDE)/haivision
	@install -m 644 haivision/*.h $(INCLUDE)/haivision
	@echo "INSTALL  $(PKGCONFIG)/bitstream.pc"
	@install -d $(PKGCONFIG)
	@install -m 644 bitstream.pc $(PKGCONFIG)

uninstall:
	@echo "REMOVE   $(INCLUDE)"
	@$(RM) -r $(INCLUDE)
	@echo "REMOVE   $(PKGCONFIG)/bitstream.pc"
	@$(RM) $(PKGCONFIG)/bitstream.pc

dist:
	git archive --format=tar --prefix=bitstream-$(VERSION)/ master | \
	  bzip2 -9 > bitstream-$(VERSION).tar.bz2

clean:
	$(RM) bitstream bitstream.pc
	$(MAKE) -C examples clean

# if you want to check only particular headers,
# use make check HEADER_LIST="dvb/sim.h ietf/rtp.h"

HEADER_LIST = $$(find * -name '*.h')

FLAGS = -I. -Werror -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -Wformat=2

compiler_c = $(CC) $(FLAGS) $(CFLAGS) -std=gnu99
compiler_c++ = $(CXX) $(FLAGS) $(CXXFLAGS)
compile = $(compiler_$1) -include "$$header" -c -x $1 /dev/null -o /dev/null

check:
	@ln -nsf . bitstream
	@for header in $(HEADER_LIST); do \
	  $(if $(V),set -x;) \
	  $(call compile,c) || exit 1; \
	  $(call compile,c++) || exit 1; \
	  echo "PASS: $$header"; \
	done

.PHONY: all install uninstall dist clean check

## bitstream-dmo 1.5

=== debian/changelog ===
bitstream-dmo (1:1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Nov 2018 15:57:31 +0100

bitstream-dmo (1:1.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jul 2018 14:36:38 +0200

bitstream-dmo (1:1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Jan 2018 09:13:06 +0100

bitstream-dmo (1:1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2017 08:04:30 +0100

bitstream (1.1-2) unstable; urgency=medium

  * Team upload
  * Update Homepage field
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Dec 2016 19:02:18 +0000

bitstream (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Bump compat to 9.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper B-D to (>= 9).
    - Update Vcs-*.
    - Add myself to Uploaders.
  * debian/copyright: Update copyright years.
  * debian/rules: Install NEWS as changelog.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Jan 2016 15:12:55 +0100

bitstream (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #653218)

 -- Alessio Treglia <alessio@debian.org>  Sun, 25 Dec 2011 14:08:57 +0100

=== debian/control ===
Source: bitstream-dmo
Section: libdevel
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://code.videolan.org/videolan/bitstream
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11)

Package: libbitstream-dev
Architecture: all
Depends: ${misc:Depends}
Description: C headers giving access to binary streams like MPEG or DVB
 biTStream is a set of C headers allowing a simpler access to binary
 structures such as specified by MPEG, DVB, IETF, etc.
 .
 The goal of this package is to offer a simpler access that libdvbpsi does
 currently. This package is also lower level and more efficient: fewer
 memory allocations, fewer memory copies.

## bitstream-dmo 1.6

=== debian/changelog ===
bitstream-dmo (1:1.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Nov 2025 14:17:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://code.videolan.org/videolan/bitstream
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
 
 Package: libbitstream-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- \
	DESTDIR=$(CURDIR)/debian/libbitstream-dev PREFIX=/usr

override_dh_installexamples:
	dh_installexamples -Xbitstream

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_clean:
	dh_clean examples/bitstream

override_dh_auto_build:

=== debian/watch ===
version=4

https://download.videolan.org/pub/videolan/bitstream/([\d][\d\.]+[a-z]?)/bitstream-([\d][\d\.]+[a-z]?)@ARCHIVE_EXT@
